[oe-commits] Tom Rini : kernel, cml1.bbclass: Move menuconfig to cml1

git version control git at git.openembedded.org
Mon Jan 17 16:26:33 UTC 2011


Module: openembedded.git
Branch: org.openembedded.dev
Commit: f6433e75a047a2d38ab60efea8a7ab7cc3dcd822
URL:    http://gitweb.openembedded.net/?p=openembedded.git&a=commit;h=f6433e75a047a2d38ab60efea8a7ab7cc3dcd822

Author: Tom Rini <tom_rini at mentor.com>
Date:   Mon Jan 17 09:21:54 2011 -0700

kernel,cml1.bbclass: Move menuconfig to cml1

The menuconfig target exists in places other than the kernel that
use kernel style config.

Signed-off-by: Tom Rini <tom_rini at mentor.com>

---

 classes/cml1.bbclass   |   12 ++++++++++++
 classes/kernel.bbclass |   12 ------------
 2 files changed, 12 insertions(+), 12 deletions(-)

diff --git a/classes/cml1.bbclass b/classes/cml1.bbclass
index 79218b4..d3d49eb 100644
--- a/classes/cml1.bbclass
+++ b/classes/cml1.bbclass
@@ -4,5 +4,17 @@ cml1_do_configure() {
 	oe_runmake oldconfig
 }
 
+do_menuconfig() {
+	export termwindowtitle="${pn} kernel configuration"
+	export shellcmds="make menuconfig"
+	${termcmdrun}
+	if [ $? -ne 0 ]; then
+		echo "fatal: '${termcmd}' not found. check termcmd variable."
+		exit 1
+	fi
+}
+
+do_menuconfig[nostamp] = "1"
+addtask menuconfig after do_configure
 EXPORT_FUNCTIONS do_configure
 addtask configure after do_unpack do_patch before do_compile
diff --git a/classes/kernel.bbclass b/classes/kernel.bbclass
index b58c0e8..b18e615 100644
--- a/classes/kernel.bbclass
+++ b/classes/kernel.bbclass
@@ -225,18 +225,6 @@ kernel_do_configure() {
 # XXX: Once we depend on bitbake 1.10.1 or newer this can be kernel_do_...
 do_configure[depends] += "${INITRAMFS_TASK}"
 
-do_menuconfig() {
-	export TERMWINDOWTITLE="${PN} Kernel Configuration"
-	export SHELLCMDS="make menuconfig"
-	${TERMCMDRUN}
-	if [ $? -ne 0 ]; then
-		echo "Fatal: '${TERMCMD}' not found. Check TERMCMD variable."
-		exit 1
-	fi
-}
-do_menuconfig[nostamp] = "1"
-addtask menuconfig after do_configure
-
 pkg_postinst_kernel () {
 	cd /${KERNEL_IMAGEDEST}; update-alternatives --install /${KERNEL_IMAGEDEST}/${KERNEL_IMAGETYPE} ${KERNEL_IMAGETYPE} ${KERNEL_IMAGETYPE}-${KERNEL_VERSION} ${KERNEL_PRIORITY} || true
 }





More information about the Openembedded-commits mailing list